Delete Clinic Payment Method
Detach and remove a saved payment method from the authenticated clinic's Stripe customer. Clinic-owner only. Requires labId query parameter.
Detach and remove a saved payment method from the authenticated clinic's Stripe customer. Clinic-owner only. Requires labId query parameter.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
Stripe payment method ID to detach
Query Parameters
Lab ID the payment method belongs to
1 <= lengthResponse Body
application/json
application/json
curl -X DELETE "https://example.com/clinic-payment-methods/pm_1234567890abcdef?labId=550e8400-e29b-41d4-a716-446655440000"{ "success": true}{ "error": "string"}Create Clinic Setup Intent POST
Create a Stripe SetupIntent to save a new payment method for the authenticated clinic with a specific lab. Clinic-owner only. Automatically creates a Stripe customer if one does not exist.
Enable clinic-owned saved-card autopay POST
Lets a clinic owner consent to off-session card charges for one active lab partnership. The selected card must already belong to that lab's connected Stripe customer.